curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/rewards/0x..." \
-H "Content-Type: application/json" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name" \
-d '{"is_staked": true}'
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/rewards/0x...',
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
body: JSON.stringify({ is_staked: true }),
}
);
(empty response body)
Rewards
Set Reward Status
Set reward staking status
POST
/
api
/
v1
/
{chain_id}
/
rewards
/
{wallet}
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/rewards/0x..." \
-H "Content-Type: application/json" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name" \
-d '{"is_staked": true}'
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/rewards/0x...',
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
body: JSON.stringify({ is_staked: true }),
}
);
(empty response body)
Description
Sets the reward staking status for a wallet.Path Parameters
integer
required
The blockchain chain ID
string
required
The wallet address
Request Body
boolean
required
The desired staking status
Response
Returns204 No Content on success.
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/rewards/0x..." \
-H "Content-Type: application/json" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name" \
-d '{"is_staked": true}'
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/rewards/0x...',
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
body: JSON.stringify({ is_staked: true }),
}
);
(empty response body)
⌘I